[Task] Rewrite EntityChange, drop dependency on ORMRow and ORMTable
Closed, ResolvedPublic

Description

The way EntityChange is implemented is tricky to use and maintain. The deopendency on ORMRow seems to add a lot of complexity. The long inheritance chain ORMRow -> ChangeRow -> DiffChange -> EntityChange seems unneccessary, since all the changes wikibase needs to propagate are changes to entities.

A rewrite should result in a reduction in the amount and complexity of code.
We should also use this opportunity to move Change-related code into DataModelServices.

daniel created this task.Aug 26 2015, 2:56 PM
daniel updated the task description. (Show Details)
daniel raised the priority of this task from to Needs Triage.
daniel added a project: Wikidata.
daniel added a subscriber: daniel.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 26 2015, 2:56 PM
aude renamed this task from Rewrite EntityChange, drop dependency on ORMRow and ORMTable to [Task] Rewrite EntityChange, drop dependency on ORMRow and ORMTable.Sep 10 2015, 10:32 PM
aude triaged this task as Normal priority.
aude set Security to None.
aude moved this task from incoming to ready to go on the Wikidata board.Sep 10 2015, 10:36 PM
aude added a subscriber: aude.

see also T111056 which is related and partially overlaps

hoo claimed this task.Oct 7 2015, 9:24 AM
hoo reopened this task as Open.Oct 13 2015, 3:22 PM

This is not yet fully done: We yet dropped the dependency on ORMTable, but not yet the one on ORMRow.

There's not much left, though.

Change 245949 had a related patch set uploaded (by Hoo man):
Make ChangeRow not inherit from ORMRow

https://gerrit.wikimedia.org/r/245949

hoo moved this task from Doing to Review on the Wikidata-Sprint-2015-10-13 board.Oct 13 2015, 5:37 PM

Change 245949 merged by jenkins-bot:
Make ChangeRow not inherit from ORMRow

https://gerrit.wikimedia.org/r/245949

hoo closed this task as Resolved.Oct 13 2015, 5:54 PM
hoo removed a project: Patch-For-Review.
hoo moved this task from Review to Done on the Wikidata-Sprint-2015-10-13 board.